diff -uNr a/src/configure b/src/configure
--- a/src/configure	2015-04-04 12:29:43.708815162 -0400
+++ b/src/configure	2018-01-09 16:18:21.287096634 -0500
@@ -2450,7 +2450,6 @@
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
-       #include <octave/config.h>
        #include <octave/ov-base.h>
 
 int
@@ -2502,7 +2501,6 @@
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
-       #include <octave/config.h>
        #include <octave/ov-base.h>
        class foo : public octave_base_value
        {
@@ -2561,7 +2559,6 @@
 /* end confdefs.h.  */
 
        #include <iostream>
-       #include <octave/config.h>
        #include <octave/ov-base.h>
 
 int
diff -uNr a/src/configure.ac b/src/configure.ac
--- a/src/configure.ac	2018-01-09 16:19:20.488581117 -0500
+++ b/src/configure.ac	2018-01-09 16:18:21.291096463 -0500
@@ -34,7 +34,6 @@
    CXXFLAGS="$CXXFLAGS $comm_CXXFLAGS"
    AC_LANG_PUSH(C++)
    AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
-       #include <octave/config.h>
        #include <octave/ov-base.h>
        ]], [[
        octave_hdf5_id x;
@@ -56,7 +55,6 @@
    CXXFLAGS="$CXXFLAGS $comm_CXXFLAGS"
    AC_LANG_PUSH(C++)
    AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
-       #include <octave/config.h>
        #include <octave/ov-base.h>
        class foo : public octave_base_value
        {
@@ -85,7 +83,6 @@
    AC_LANG_PUSH(C++)
    AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
        #include <iostream>
-       #include <octave/config.h>
        #include <octave/ov-base.h>
        ]], [[
        const octave_base_value x; x.print (std::cout);
diff -uNr a/src/galois.cc b/src/galois.cc
--- a/src/galois.cc	2018-01-09 16:19:22.260505820 -0500
+++ b/src/galois.cc	2018-01-09 16:18:21.291096463 -0500
@@ -18,7 +18,6 @@
 // program with any Open Source program, as defined by the Open Source
 // Initiative (www.opensource.org)
 
-#include <octave/config.h>
 #include <octave/error.h>
 #include <octave/gripes.h>
 #include <octave/mx-op-defs.h>
diff -uNr a/src/galois.h b/src/galois.h
--- a/src/galois.h	2018-01-09 16:19:22.260505820 -0500
+++ b/src/galois.h	2018-01-09 16:18:46.190038466 -0500
@@ -21,7 +21,6 @@
 #if !defined (octave_galois_int_h)
 #define octave_galois_int_h 1
 
-#include <octave/config.h>
 #include <octave/mx-base.h>
 
 #include "galoisfield.h"
diff -uNr a/src/gf.cc b/src/gf.cc
--- a/src/gf.cc	2015-04-04 12:28:43.954509931 -0400
+++ b/src/gf.cc	2018-01-09 16:18:21.291096463 -0500
@@ -29,7 +29,6 @@
 for a GPL release of his code
 */
 
-#include <octave/config.h>
 #include <octave/defun-dld.h>
 #include <octave/gripes.h>
 #include <octave/oct-locbuf.h>
diff -uNr a/src/op-gm-gm.cc b/src/op-gm-gm.cc
--- a/src/op-gm-gm.cc	2015-04-04 12:28:43.954509931 -0400
+++ b/src/op-gm-gm.cc	2018-01-09 16:18:21.295096293 -0500
@@ -18,7 +18,6 @@
 // program with any Open Source program, as defined by the Open Source
 // Initiative (www.opensource.org)
 
-#include <octave/config.h>
 #include <octave/oct-obj.h>
 #include <octave/ops.h>
 
diff -uNr a/src/op-gm-m.cc b/src/op-gm-m.cc
--- a/src/op-gm-m.cc	2015-04-04 12:28:43.954509931 -0400
+++ b/src/op-gm-m.cc	2018-01-09 16:18:21.295096293 -0500
@@ -18,7 +18,6 @@
 // program with any Open Source program, as defined by the Open Source
 // Initiative (www.opensource.org)
 
-#include <octave/config.h>
 #include <octave/ops.h>
 #include <octave/ov-re-mat.h>
 
diff -uNr a/src/op-gm-s.cc b/src/op-gm-s.cc
--- a/src/op-gm-s.cc	2015-04-04 12:28:43.958509840 -0400
+++ b/src/op-gm-s.cc	2018-01-09 16:18:21.295096293 -0500
@@ -18,7 +18,6 @@
 // program with any Open Source program, as defined by the Open Source
 // Initiative (www.opensource.org)
 
-#include <octave/config.h>
 #include <octave/ops.h>
 #include <octave/ov-scalar.h>
 
diff -uNr a/src/op-m-gm.cc b/src/op-m-gm.cc
--- a/src/op-m-gm.cc	2015-04-04 12:28:43.958509840 -0400
+++ b/src/op-m-gm.cc	2018-01-09 16:18:21.295096293 -0500
@@ -18,7 +18,6 @@
 // program with any Open Source program, as defined by the Open Source
 // Initiative (www.opensource.org)
 
-#include <octave/config.h>
 #include <octave/ops.h>
 #include <octave/ov-re-mat.h>
 
diff -uNr a/src/op-s-gm.cc b/src/op-s-gm.cc
--- a/src/op-s-gm.cc	2015-04-04 12:28:43.958509840 -0400
+++ b/src/op-s-gm.cc	2018-01-09 16:18:21.295096293 -0500
@@ -18,7 +18,6 @@
 // program with any Open Source program, as defined by the Open Source
 // Initiative (www.opensource.org)
 
-#include <octave/config.h>
 #include <octave/ops.h>
 #include <octave/ov-scalar.h>
 
diff -uNr a/src/ov-galois.cc b/src/ov-galois.cc
--- a/src/ov-galois.cc	2018-01-09 16:19:22.260505820 -0500
+++ b/src/ov-galois.cc	2018-01-09 16:18:21.295096293 -0500
@@ -20,7 +20,6 @@
 
 #include <iostream>
 
-#include <octave/config.h>
 #include <octave/byte-swap.h>
 #include <octave/gripes.h>
 #include <octave/lo-ieee.h>
